Page MenuHomePhabricator

ReleaseNotes: add lld/ELF notes
ClosedPublic

Authored by MaskRay on Feb 19 2021, 11:13 PM.

Details

Summary

For release/12.x

Diff Detail

Event Timeline

MaskRay created this revision.Feb 19 2021, 11:13 PM
MaskRay requested review of this revision.Feb 19 2021, 11:13 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 19 2021, 11:13 PM
MaskRay edited the summary of this revision. (Show Details)Feb 19 2021, 11:14 PM

There are a number of common grammar tweaks, I think would make sense. Based on a brief look at other release notes, I think I would phrase things as "XXX is/are now supported/retrained/..." rather than simply "is supported", as it emphasises what has changed. Similarly "XXX now has support for ..." and "XXX can now have/use/...". For "is fixed/added/improved" I'd say "has been fixed/...".

lld/docs/ReleaseNotes.rst
48

Links to one or more reviews? What has been improved about the support?

62

Links to one or more reviews? As it is, this release note is rather useless, I think.

65

This suggests this item could be a breaking change? Should it be in that section instead?

70
MaskRay updated this revision to Diff 325654.Feb 22 2021, 8:02 PM
MaskRay marked 4 inline comments as done.

comments.
add more items

lld/docs/ReleaseNotes.rst
48

The commits collectively improved the support. I made a bunch of commits, sometimes with one commit regressed some untested cases.

Thanks for the update. A few more grammar suggestions for you inline.

lld/docs/ReleaseNotes.rst
27

Same for --lto-pseudo-probe-for-profiling and --no-lto-whole-program-visibility.

27–29

Not specific to this change, but you might as well fix it whilst here.

31
36
38
41
47
52
54
57
58
62
64
67
72
74
76

Is there a review for this one?

77
80

Should this be "many more"? Presumably there were some that were already supported?

81
84
86
88

Is there an option (other than the CMake variable) to turn this off at runtime? If not "defaults" should probably be "uses".

MaskRay updated this revision to Diff 326117.Feb 24 2021, 9:23 AM
MaskRay marked 23 inline comments as done.

comments

jhenderson accepted this revision.Feb 24 2021, 11:58 PM

LGTM, thanks!

This revision is now accepted and ready to land.Feb 24 2021, 11:58 PM